import CommonInput from './CommonInput.vue';
import CommonButton from './CommonButton.vue';
import CommonTip from './CommonTip.vue';
import CommonConfirm from './CommonConfirm.vue';
import CommonPrompt from './CommonPrompt.vue';
import CommonTable from './CommonTable.vue';
import InfoConfirm from './InfoConfirm.vue';
import CommonPage from './CommonPage.vue';
import CommonCharts from './CommonCharts.vue';

import ResetConfirm from './ResetConfirm.vue';
const components = [
  CommonInput,
  CommonButton,
  CommonTip,
  CommonConfirm,
  CommonPrompt,
  CommonTable,
  InfoConfirm,
  CommonPage,
  ResetConfirm,
  CommonCharts
];
export const install = (app) => {
  components.forEach((component) => {
    //解决控制台告警，因为vue3中组件的name属性被移除了,没有显式的name属性
    const name = component.name ? component.name : component.__name;
    app.component(name, component);
  });
};
