import { time } from 'echarts';

const routes = [
  // { path: '/:catchAll(.*)', redirect: '/404' },
  // { path: '/404', component: () => import('@/views/noFount/index.vue') },
  {
    path: '/',
    redirect: '/index',
    component: () => import('@/views/index/index.vue'),
    children: [
      //登陆
      {
        path: '',
        name: 'Login',
        component: () => import('@/views/login/index.vue')
      },
      //首页
      {
        path: '/home',
        name: 'home',
        component: () => import('@/views/home/index.vue')
      },
      // 菜单
      {
        path: '/menu',
        name: 'menu',
        component: () => import('@/views/menu/index.vue')
      },
      {
        path: '/test1',
        name: 'test1',
        title: '正式试验流程',
       // component: () => import('@/views/test1/first_step.vue')
      },
      {
        path: '/experiment',
        title: '正式试验流程',
        name: 'experiment',
        component: () => import('@/views/experiment/index.vue')
      },
 
   
      {
        path: '/report',
        title: '试验数据',
        name: 'report',
        redirect: '/report/table',
        children: [
          {
            path: 'table',
            name: 'table',
            title: '数据报表',
            component: () => import('@/views/report/index.vue')
          },
          {
            path: 'detail',
            name: 'detail',
            title: '数据详情',
            component: () => import('@/views/equipment/third_step.vue')
          }
        ]
      },
   
      // 账户管理
      {
        path: '/accountManagement',
        name: 'accountManagement',
        component: () => import('@/views/AccountManagement/index.vue')
      },
      // 添加用户
      {
        path: '/addUser',
        name: 'addUser',
        component: () => import('@/views/addUser/index.vue')
      },
      // 编辑用户
      {
        path: '/editUser',
        name: 'editUser',
        component: () => import('@/views/editUser/index.vue')
      },
      {
        path: '/changePassword',
        name: 'changePassword',
        title: '修改密码',
        component: () => import('@/views/AccountManagement/changePassword.vue')
      },
      {
        path: '/safeSetting',
        name: 'safeSetting',
        title: '安全设置',
        component: () => import('@/views/AccountManagement/safeSetting.vue')
      }
    ]
  }
];

export default routes;
